icqpr(8)

NAME
icqpr - ICQ (AOL OSCAR) proxy

SYNOPSIS
icqpr [-d] [-l[[@]logfile]] [-iinternal_ip] [-eexternal_ip] local_port remote_host remote_port

DESCRIPTION
icqpr forwards ICQ connections from local to remote ICQ host. Most usual is icqpr 5190 login.icq.com 5190 Also, icqpr adds UIN / AOL screen name as a username. It makes it possible to control user's access to ICQ/AOL by UIN/screen name (use auth useronly in 3proxy).

OPTIONS

-I  Inetd mode. Standalone service only.

-d  Daemonise. Detach service from console and run in the background.

-t  Be silenT. Do not log start/stop/accept error records.

-e  External address. IP address of interface proxy should initiate connections from. By default system will deside which address to use in accordance with routing table.

-i  Internal address. IP address proxy accepts connections to. By default connection to any interface is accepted. It's usually unsafe.

-l  Log. By default logging is to stdout. If logfile is specified logging is to file. Under Unix, if '@' preceeds logfile, syslog is used for logging.

-S  Increase or decrease stack size. You may want to try something like -S8192 if you experience 3proxy crashes.

ARGUMENTS

local_port
    - port icqpr accepts connection

remote_host
    - IP address of the host connection is forwarded to

remote_port
    - remote port connection is forwarded to

CLIENTS
You can use any ICQ/AOL client where server address configuration is supported or spoof login server name (e.g. login.icq.com) with IP address of proxy server via DNS record or hosts file. Transparent redirection is also possible. Use internal_ip and local_port as a destination in client application. Connection is forwarded to remote_host:remote_port

BUGS
Report all bugs to 3proxy@3proxy.ru

SEE ALSO
3proxy(8), proxy(8), ftppr(8), socks(8), pop3p(8), udppm(8), syslogd(8),
http://3proxy.ru/

AUTHORS
3proxy is designed by Vladimir 3APA3A Dubrovin (3proxy@3proxy.ru)